KBD_MODE(1)

NAME
kbd_mode - report or set the keyboard mode

SYNOPSIS
kbd_mode [ -a | -u | -k | -s | -d ] [ -f ] [ -C CONSOLE ]

DESCRIPTION

Without argument, kbd_mode prints the current keyboard mode (RAW, MEDIUMRAW or XLATE). Using the options it is possible to switch the keyboard mode of the current console or the specified console.

OPTIONS

-a, --ascii
    set ASCII mode (XLATE).

-k, --keycode
    set keycode mode (MEDIUMRAW).

-s, --scancode
    set scancode mode (RAW).

-u, --unicode
    set UTF-8 mode (UNICODE).

-d, --disable
    set Disable mode (OFF).

-f, --force
    switch the mode even if it makes the keyboard unusable.

-C, --console=DEV
    the console device to be used.

Of course the "-a" is only traditional, and the code used can be any 8-bit character set. With "-u" a 16-bit character set is expected, and these chars are transmitted to the kernel as 1, 2, or 3 bytes (following the UTF-8 coding). In these latter two modes the key mapping defined by loadkeys(1) is used. The Didable mode for the virtual console keyboard OFF to compliment RAW in which all key events are ignored. The mode prevents vt input buffers from overflowing when a program opens but doesn't read from a tty, like Xorg using only evdev for input. kbd_mode operates on the console specified by the "-C" option; if there is none, the console associated with stdin is used. Warning: changing the keyboard mode, other than between ASCII and Unicode, will probably make your keyboard unusable. Set the "-f" option to force such changes. This command is only meant for use (say via remote login) when some program left your keyboard in the wrong state. Note that in some obsolete versions of this program the "-u" option was a synonym for "-s" and older versions of this program may not recognize the "-f" option.

AUTHORS
Andries Brouwer <aeb@cwi.nl>

SEE ALSO
loadkeys(1)